Cyclone3 Skin

Installation problems

From Cyclone3 Wiki

  • If I install Cyclone3 XULadmin (Firefox addon), it displayed me that it unsupported safety upgrade. What have i do?

This occured when you are trying to install Cyclone3 XULAdmin Firefox2 version into Firefox3. Try installation of https://downloads.cyclone3.org/C3XULadmin3.xpi